Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Asynch_Transmit_File::Header_And_Trailer Class Reference

The class defines a data structure that contains pointers to data to send before and after the file data is sent. More...

`#include <Asynch_IO.h>`

Collaboration diagram for ACE_Asynch_Transmit_File::Header_And_Trailer:

[legend]
List of all members.

## Public Methods
| Header_And_Trailer (ACE_Message_Block *header=0, u_long header_bytes=0, ACE_Message_Block *trailer=0, u_long trailer_bytes=0)
| Constructor. More...
virtual | ~Header_And_Trailer (void)
| Destructor. More...
void | header_and_trailer (ACE_Message_Block *header=0, u_long header_bytes=0, ACE_Message_Block *trailer=0, u_long trailer_bytes=0)
| This method allows all the member to be set in one fell swoop. More...
ACE_Message_Block * | header (void) const
| Header which goes before the file data. More...
void | header (ACE_Message_Block *message_block)
u_long | header_bytes (void) const
| Size of the header data. More...
void | header_bytes (u_long bytes)
ACE_Message_Block * | trailer (void) const
| Trailer which goes after the file data. More...
void | trailer (ACE_Message_Block *message_block)
u_long | trailer_bytes (void) const
| Size of the trailer data. More...
void | trailer_bytes (u_long bytes)
ACE_LPTRANSMIT_FILE_BUFFERS | transmit_buffers (void)
| Conversion routine. More...
## Protected Attributes
ACE_Message_Block * | header_
| Header data. More...
u_long | header_bytes_
| Size of header data. More...
ACE_Message_Block * | trailer_
| Trailer data. More...
u_long | trailer_bytes_
| Size of trailer data. More...
ACE_TRANSMIT_FILE_BUFFERS | transmit_buffers_
| Target data structure. More...

## Detailed Description

The class defines a data structure that contains pointers to data to send before and after the file data is sent.

This class provides a wrapper over TRANSMIT_FILE_BUFFERS and provided a consistent use of ACE_Message_Blocks.

## Constructor & Destructor Documentation

ACE_Asynch_Transmit_File::Header_And_Trailer::Header_And_Trailer | ( | ACE_Message_Block * | header = 0,
|  | u_long | header_bytes = 0,
|  | ACE_Message_Block * | trailer = 0,
|  | u_long | trailer_bytes = 0
| ) |

| Constructor.

ACE_Asynch_Transmit_File::Header_And_Trailer::~Header_And_Trailer | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void ACE_Asynch_Transmit_File::Header_And_Trailer::header | ( | ACE_Message_Block * | message_block | ) |

ACE_Message_Block * ACE_Asynch_Transmit_File::Header_And_Trailer::header | ( | void |  | ) | const

| Header which goes before the file data.

void ACE_Asynch_Transmit_File::Header_And_Trailer::header_and_trailer | ( | ACE_Message_Block * | header = 0,
|  | u_long | header_bytes = 0,
|  | ACE_Message_Block * | trailer = 0,
|  | u_long | trailer_bytes = 0
| ) |

| This method allows all the member to be set in one fell swoop.

void ACE_Asynch_Transmit_File::Header_And_Trailer::header_bytes | ( | u_long | bytes | ) |

u_long ACE_Asynch_Transmit_File::Header_And_Trailer::header_bytes | ( | void |  | ) | const

| Size of the header data.

void ACE_Asynch_Transmit_File::Header_And_Trailer::trailer | ( | ACE_Message_Block * | message_block | ) |

ACE_Message_Block * ACE_Asynch_Transmit_File::Header_And_Trailer::trailer | ( | void |  | ) | const

| Trailer which goes after the file data.

void ACE_Asynch_Transmit_File::Header_And_Trailer::trailer_bytes | ( | u_long | bytes | ) |

u_long ACE_Asynch_Transmit_File::Header_And_Trailer::trailer_bytes | ( | void |  | ) | const

| Size of the trailer data.

ACE_LPTRANSMIT_FILE_BUFFERS ACE_Asynch_Transmit_File::Header_And_Trailer::transmit_buffers | ( | void |  | ) |

| Conversion routine.

## Member Data Documentation

ACE_Message_Block* ACE_Asynch_Transmit_File::Header_And_Trailer::header_`[protected]`

| Header data.

u_long ACE_Asynch_Transmit_File::Header_And_Trailer::header_bytes_`[protected]`

| Size of header data.

ACE_Message_Block* ACE_Asynch_Transmit_File::Header_And_Trailer::trailer_`[protected]`

| Trailer data.

u_long ACE_Asynch_Transmit_File::Header_And_Trailer::trailer_bytes_`[protected]`

| Size of trailer data.

ACE_TRANSMIT_FILE_BUFFERS ACE_Asynch_Transmit_File::Header_And_Trailer::transmit_buffers_`[protected]`

| Target data structure.

The documentation for this class was generated from the following files:

- Asynch_IO.h
- Asynch_IO.cpp